For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • HRIS Guides
    • Introduction
  • HRIS Common Use Cases
    • Sync Deel users to identity providers
  • SCIM API
    • Overview
  • HRIS Endpoints
      • DELDelete the custom field value from Worker by Id
      • GETGet custom field from people by id
      • GETList all people custom fields
      • GETRetrieve custom fields for a worker
      • PUTUpdate custom field value
  • ATS Guides
    • Introduction
    • Getting started
    • Manage jobs
    • Manage candidates and applications
    • Webhooks
  • ATS Common Use Cases
    • From candidate to contract
  • ATS Endpoints
LogoLogo
SupportDeel Home
HRIS EndpointsCustom Fields People

Get custom field from people by id

GET
/people/custom_fields/:id
GET
/rest/v2/people/custom_fields/:id
$curl https://api.letsdeel.com/rest/v2/people/custom_fields/f7b3b3b3-4b3b-4b3b-4b3b-4b3b4b3b4b3b \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "f7b3b3b3-4b3b-4b3b-4b3b-4b3b4b3b4b3b",
4 "name": "Custom field name",
5 "type": {
6 "name": "text"
7 },
8 "settings": {
9 "access": {
10 "provided_by": [
11 "organization"
12 ],
13 "is_sensitive": true
14 },
15 "required": true,
16 "countries": [
17 "CA",
18 "GB",
19 "US"
20 ],
21 "is_enabled": true,
22 "worker_types": [
23 "eor"
24 ]
25 },
26 "placement": "profile",
27 "created_at": "2022-01-01T00:00:00Z",
28 "description": "Custom field description"
29 }
30}

“Retrieves a single person custom field definition by its id. Token scopes: people:read

Was this page helpful?
Previous

List all people custom fields

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequiredformat: "uuid"
Custom field id.

Response

Successful response
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/